package kr.co.vividnext.sodalive.admin.marketing

import kr.co.vividnext.sodalive.marketing.AdMediaPartner
import kr.co.vividnext.sodalive.marketing.AdMediaPartnerType

data class CreateAdMediaPartnerRequest(
    val mediaGroup: String,
    val pid: String,
    val pidName: String,
    val type: AdMediaPartnerType,
    val utmSource: String,
    val utmMedium: String
) {
    fun toEntity(): AdMediaPartner {
        return AdMediaPartner(
            mediaGroup = mediaGroup,
            pid = pid,
            pidName = pidName,
            type = type,
            utmSource = utmSource,
            utmMedium = utmMedium
        )
    }
}
