package kr.co.vividnext.sodalive.content

data class CreateAudioContentRequest(
    val title: String,
    val detail: String,
    val tags: String,
    val price: Int,
    val purchaseOption: PurchaseOption = PurchaseOption.BOTH,
    val limited: Int? = null,
    val timezone: String = "Asia/Seoul",
    val releaseDate: String? = null,
    val themeId: Long = 0,
    val isAdult: Boolean = false,
    val isGeneratePreview: Boolean = false,
    val isOnlyRental: Boolean = false,
    val isPointAvailable: Boolean = false,
    val isCommentAvailable: Boolean = false,
    val isFullDetailVisible: Boolean = true,
    val previewStartTime: String? = null,
    val previewEndTime: String? = null
)
