package kr.co.vividnext.sodalive.content.series.content

import com.querydsl.core.annotations.QueryProjection

data class GetSeriesContentListResponse(
    val totalCount: Int,
    val items: List<GetSeriesContentListItem>
)

data class GetSeriesContentListItem @QueryProjection constructor(
    val contentId: Long,
    val title: String,
    val coverImage: String,
    val releaseDate: String,
    val duration: String,
    val price: Int,
    var isRented: Boolean,
    var isOwned: Boolean
)
