package kr.co.vividnext.sodalive.live.recommend

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import java.time.LocalDateTime
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
data class RecommendLiveCreatorBanner(
    @Column(nullable = false)
    var startDate: LocalDateTime,
    @Column(nullable = false)
    var endDate: LocalDateTime,
    @Column(nullable = false)
    var isAdult: Boolean = false,
    @Column(nullable = false)
    var orders: Int = 1,
    @Column(nullable = true)
    var image: String? = null
) : BaseEntity() {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "creator_id", nullable = false)
    var creator: Member? = null
}
