package kr.co.vividnext.sodalive.member.social.kakao

import org.springframework.security.authentication.AbstractAuthenticationToken
import org.springframework.security.core.GrantedAuthority

class KakaoAuthenticationToken(
    val accessToken: String,
    authorities: Collection<GrantedAuthority>? = null
) : AbstractAuthenticationToken(authorities) {
    private var principal: Any? = null
    init { isAuthenticated = authorities != null }
    override fun getCredentials(): Any = accessToken
    override fun getPrincipal(): Any? = principal
    fun setPrincipal(principal: Any) { this.principal = principal }
}
