package kr.co.vividnext.sodalive.admin.audition.role

import kr.co.vividnext.sodalive.audition.AuditionStatus
import kr.co.vividnext.sodalive.common.SodaException

data class UpdateAuditionRoleRequest(
    val id: Long,
    val name: String? = null,
    val information: String? = null,
    val auditionScriptUrl: String? = null,
    val status: AuditionStatus? = null,
    val isActive: Boolean? = null
) {
    init {
        if (id < 0) {
            throw SodaException("잘못된 요청입니다.")
        }
    }
}
