package kr.co.vividnext.sodalive.live.room.cancel

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.live.room.LiveRoom
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.OneToOne

@Entity
data class LiveRoomCancel(
    val reason: String
) : BaseEntity() {
    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "room_id", nullable = false)
    var room: LiveRoom? = null
        set(value) {
            value?.cancel = this
            field = value
        }
}
