package kr.co.vividnext.sodalive.live.room.donation

import com.querydsl.core.annotations.QueryProjection

data class GetLiveRoomDonationStatusResponse(
    val donationList: List<GetLiveRoomDonationItem>,
    val totalCount: Int,
    val totalCan: Int,
    val totalSecretCan: Int
)

data class GetLiveRoomDonationItem @QueryProjection constructor(
    val profileImage: String,
    val nickname: String,
    val userId: Long,
    val can: Int,
    val secretCan: Int
)
